読者です 読者をやめる 読者になる 読者になる

Windows XP Service Pack 3 を入れると、IE7を入れて無くてもJScriptのバージョンが5.7にあがる

スポンサーリンク

IE6の状態で、SP3を入れると、JScriptのバージョンが5.6だったのが5.7にあがりました。
てっきりIEと同期が取られるものと思ってた(Multiple Explorersなどのイリーガルな環境を除く)のですが、JScriptはIEのバージョンに関係なく更新されることがあるんですね。


JScriptのバージョンでIE6以下を判断しているコードがあって、今回問題があることがわかったので、、

var ie6 = false /*@cc_on || @_jscript_version < 5.7 @*/

下記のように変更しました。

var ie6 = (typeof document.documentElement.style.maxHeight == "undefined");


参考